Forks: Compiz-MATE 0.8.8, mate-globalmenu 0.7.10 (LMDE)

Re: Forks: Compiz-MATE 0.8.8, mate-globalmenu 0.7.10 (LMDE)

Postby shideneyu on Tue Oct 30, 2012 12:46 pm

Hey one last question, when launched, mate global menu does'nt work everytime.

It doesn't grab the menu option of gtk apps, and as a result, it's blank, unlike on my old Ubuntu 9.04.
Google chrome options are grabbed one time each 3 launches, Pluma options arn't taken at all (Although It's built with GTK+ as it is a fork of Gedit)

Image Image Image

I've first thought that this behavior occurs because of what have been done untill know on my computer. However, this problem remains even after a nice reinstall. I don't know from where it may come from.
shideneyu
Level 1
Level 1
 
Posts: 13
Joined: Tue Oct 23, 2012 3:12 pm

Linux Mint is funded by ads and donations.
 

Re: Forks: Compiz-MATE 0.8.8, mate-globalmenu 0.7.10 (LMDE)

Postby xclusive585 on Tue Oct 30, 2012 1:01 pm

Has the screenshot function setting been fixed in this fork? ie: <printscreen> points to "mate-screenshot" instead of "gnome-screenshot"?

And thanks for packaging this up. Perhaps I'll try Compiz in Mate again soon. I did it before with the repository packages and much configuration editing, but in the end I removed it due to incompatabilities with WINE etc.
-Dave

“The only way to fix Linux is to take one distro, one set of components as a baseline, abandon everything else and everyone should just contribute to this single Linux..."
xclusive585
Level 2
Level 2
 
Posts: 81
Joined: Sat Aug 11, 2012 11:49 pm

Re: Forks: Compiz-MATE 0.8.8, mate-globalmenu 0.7.10 (LMDE)

Postby shideneyu on Tue Oct 30, 2012 1:07 pm

Hi xclusive585, for the time being for me, in order to get the screenshot function I had to disactivate compiz and to run marco and it works very well.
shideneyu
Level 1
Level 1
 
Posts: 13
Joined: Tue Oct 23, 2012 3:12 pm

Re: Forks: Compiz-MATE 0.8.8, mate-globalmenu 0.7.10 (LMDE)

Postby luis.nando on Fri Nov 09, 2012 5:32 pm

Guys,


some gtk3 apps are not running after global-menu!!! Any fix?
Code: Select all
luis@asus-ul30a:~$ shotwell

(shotwell:4999): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:88:20: Not using units is deprecated. Assuming 'px'.

(shotwell:4999): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:178:21: Not using units is deprecated. Assuming 'px'.

(shotwell:4999): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:205:20: Not using units is deprecated. Assuming 'px'.

(shotwell:4999): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:243:20: Not using units is deprecated. Assuming 'px'.

(shotwell:4999): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:341:20: Not using units is deprecated. Assuming 'px'.

(shotwell:4999): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:708:20: Not using units is deprecated. Assuming 'px'.

(shotwell:4999): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1059:21: Not using units is deprecated. Assuming 'px'.

(shotwell:4999): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1084:18: Not using units is deprecated. Assuming 'px'.

(shotwell:4999): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1101:21: Not using units is deprecated. Assuming 'px'.

(shotwell:4999): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1118:21: Not using units is deprecated. Assuming 'px'.

(shotwell:4999): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1124:21: Not using units is deprecated. Assuming 'px'.

(shotwell:4999): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1128:21: Not using units is deprecated. Assuming 'px'.

(shotwell:4999): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1145:21: Not using units is deprecated. Assuming 'px'.

(shotwell:4999): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1170:21: Not using units is deprecated. Assuming 'px'.

(shotwell:4999): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1182:21: Not using units is deprecated. Assuming 'px'.

(shotwell:4999): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1817:20: Not using units is deprecated. Assuming 'px'.

(shotwell:4999): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1833:21: Not using units is deprecated. Assuming 'px'.

(shotwell:4999): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1848:20: Not using units is deprecated. Assuming 'px'.

(shotwell:4999): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1908:21: Not using units is deprecated. Assuming 'px'.

(shotwell:4999): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1918:21: Not using units is deprecated. Assuming 'px'.

(shotwell:4999): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1933:18: Not using units is deprecated. Assuming 'px'.

(shotwell:4999): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:84:20: Not using units is deprecated. Assuming 'px'.

(shotwell:4999): Gtk-WARNING **: Theme parsing error: gnome-panel.css:14:18: Not using units is deprecated. Assuming 'px'.

(shotwell:4999): Gtk-WARNING **: Theme parsing error: gnome-panel.css:64:18: Not using units is deprecated. Assuming 'px'.

(shotwell:4999): Gtk-WARNING **: Theme parsing error: gnome-panel.css:82:18: Not using units is deprecated. Assuming 'px'.

(shotwell:4999): Gtk-WARNING **: Theme parsing error: gnome-panel.css:100:18: Not using units is deprecated. Assuming 'px'.

(shotwell:4999): Gtk-WARNING **: Theme parsing error: gnome-applications.css:132:18: Not using units is deprecated. Assuming 'px'.

(shotwell:4999): Gtk-WARNING **: Theme parsing error: gnome-applications.css:168:18: Not using units is deprecated. Assuming 'px'.

(shotwell:4999): Gtk-WARNING **: Theme parsing error: gnome-applications.css:206:18: Not using units is deprecated. Assuming 'px'.

(shotwell:4999): Gtk-WARNING **: Theme parsing error: gnome-applications.css:358:18: Not using units is deprecated. Assuming 'px'.

(shotwell:4999): Gtk-WARNING **: Theme parsing error: gnome-applications.css:422:20: Not using units is deprecated. Assuming 'px'.

(shotwell:4999): Gtk-WARNING **: Theme parsing error: gnome-applications.css:422:22: Not using units is deprecated. Assuming 'px'.

(shotwell:4999): Gtk-WARNING **: Theme parsing error: gnome-applications.css:423:11: Not using units is deprecated. Assuming 'px'.

(shotwell:4999): Gtk-WARNING **: Theme parsing error: gnome-applications.css:423:13: Not using units is deprecated. Assuming 'px'.

(shotwell:4999): Gtk-WARNING **: Theme parsing error: gnome-applications.css:424:14: Not using units is deprecated. Assuming 'px'.

(shotwell:4999): Gtk-WARNING **: Theme parsing error: gnome-applications.css:533:18: Not using units is deprecated. Assuming 'px'.

(shotwell:4999): Gtk-WARNING **: Theme parsing error: nautilus.css:7:20: Not using units is deprecated. Assuming 'px'.

(shotwell:4999): Gtk-WARNING **: Theme parsing error: nautilus.css:13:18: Not using units is deprecated. Assuming 'px'.

(shotwell:4999): Gtk-WARNING **: Theme parsing error: nautilus.css:13:20: Not using units is deprecated. Assuming 'px'.

(shotwell:4999): Gtk-WARNING **: Theme parsing error: nautilus.css:19:20: Not using units is deprecated. Assuming 'px'.

(shotwell:4999): Gtk-WARNING **: Theme parsing error: nautilus.css:25:18: Not using units is deprecated. Assuming 'px'.

(shotwell:4999): Gtk-WARNING **: Theme parsing error: nautilus.css:25:20: Not using units is deprecated. Assuming 'px'.

(shotwell:4999): Gtk-WARNING **: Theme parsing error: nautilus.css:34:18: Not using units is deprecated. Assuming 'px'.

(shotwell:4999): Gtk-WARNING **: Theme parsing error: nautilus.css:34:20: Not using units is deprecated. Assuming 'px'.

(shotwell:4999): Gtk-WARNING **: Theme parsing error: nautilus.css:42:18: Not using units is deprecated. Assuming 'px'.

(shotwell:4999): Gtk-WARNING **: Theme parsing error: nautilus.css:42:20: Not using units is deprecated. Assuming 'px'.

(shotwell:4999): Gtk-WARNING **: Theme parsing error: nautilus.css:63:20: Not using units is deprecated. Assuming 'px'.

(shotwell:4999): Gtk-WARNING **: Theme parsing error: nautilus.css:129:18: Not using units is deprecated. Assuming 'px'.

(shotwell:4999): Gtk-WARNING **: Theme parsing error: nautilus.css:129:20: Not using units is deprecated. Assuming 'px'.

(shotwell:4999): Gtk-WARNING **: Theme parsing error: unity.css:21:20: Not using units is deprecated. Assuming 'px'.

(shotwell:4999): Gtk-WARNING **: Theme parsing error: unity.css:22:18: Not using units is deprecated. Assuming 'px'.
Gtk-Message: Failed to load module "globalmenu-plugin"
Gtk-Message: Failed to load module "globalmenu-mate-panel"

(shotwell:4999): Gtk-WARNING **: Style property "border-top-left-radius" is not gettable

(shotwell:4999): GLib-GObject-WARNING **: /home/martin/debian/pkg-gnome/build-area/glib2.0-2.34.0/./gobject/gtype.c:4204: type id `0' is invalid

(shotwell:4999): GLib-GObject-WARNING **: can't peek value table for type `<invalid>' which is not currently referenced
Falha de segmentação
ASUS UL30a2 LMDE 64bit
User avatar
luis.nando
Level 1
Level 1
 
Posts: 48
Joined: Tue Feb 22, 2011 6:09 pm
Location: Brazil

Re: Forks: Compiz-MATE 0.8.8, mate-globalmenu 0.7.10 (LMDE)

Postby bu99zy on Sun Nov 11, 2012 5:34 pm

Works great on my 64bit install but not so well on my other 32bit machine, after running apt update

Code: Select all
W: Failed to fetch http://jas.gemnetworks.com/debian/dists/debian/InRelease  Unable to find expected entry 'main/binary-i386/Packages' in Release file (Wrong sources.list entry or malformed file)

E: Some index files failed to download. They have been ignored, or old ones used instead.
User avatar
bu99zy
Level 3
Level 3
 
Posts: 135
Joined: Wed Jan 18, 2012 12:59 am

Re: Forks: Compiz-MATE 0.8.8, mate-globalmenu 0.7.10 (LMDE)

Postby luis.nando on Mon Nov 12, 2012 9:38 am

I found the error I announced, it was related to the gtk theme I was using. Working properly now. Just wanted to give mate a try and I found a very mature DE, even lighter than my XFCE box. Thanks.
ASUS UL30a2 LMDE 64bit
User avatar
luis.nando
Level 1
Level 1
 
Posts: 48
Joined: Tue Feb 22, 2011 6:09 pm
Location: Brazil

Re: Forks: Compiz-MATE 0.8.8, mate-globalmenu 0.7.10 (LMDE)

Postby xclusive585 on Tue Nov 13, 2012 3:51 am

luis.nando wrote:I found the error I announced, it was related to the gtk theme I was using. Working properly now. Just wanted to give mate a try and I found a very mature DE, even lighter than my XFCE box. Thanks.


:-)
Why is it that XFCE hasn't seemed "light" in a few years. :-)

And yes Mate is lovely depending on your tastes. If you are a classic (older) computer user or a power user, Mate should fit the bill nicely. I've been using Mint/Mate daily/exclusively since 13 came out.
-Dave

“The only way to fix Linux is to take one distro, one set of components as a baseline, abandon everything else and everyone should just contribute to this single Linux..."
xclusive585
Level 2
Level 2
 
Posts: 81
Joined: Sat Aug 11, 2012 11:49 pm

Re: Forks: Compiz-MATE 0.8.8, mate-globalmenu 0.7.10 (LMDE)

Postby jasmineaura on Tue Nov 13, 2012 8:24 pm

Sorry for the late replies. for some odd reason I'm no longer getting email-notifications of thread replies.

xclusive585 wrote:Has the screenshot function setting been fixed in this fork? ie: <printscreen> points to "mate-screenshot" instead of "gnome-screenshot"?


Of course.. It's part of the MATE-compatibility plugin (screenshot) :)

shideneyu wrote:Hey one last question, when launched, mate global menu does'nt work everytime.


The missing preferences (in your second screenshot), tells me it is not added right. I had seen this problem at least once (also with gnome-globalmenu).

See this post, and the 2 posts after it (in same thread): http://forums.mate-desktop.org/viewtopi ... 2952#p2913

bu99zy wrote:Works great on my 64bit install but not so well on my other 32bit machine, after running apt update


Yes, sorry about that. I only made amd64 builds for the repo. Soon, after I re-fork (properly) as "matepiz", I intend to have both amd64 and i386 builds available through the repo.
Last edited by jasmineaura on Thu Nov 15, 2012 9:25 pm, edited 1 time in total.
User avatar
jasmineaura
Level 2
Level 2
 
Posts: 60
Joined: Thu Mar 08, 2012 3:38 am
Location: Cairo, Egypt

Re: Forks: Compiz-MATE 0.8.8, mate-globalmenu 0.7.10 (LMDE)

Postby xclusive585 on Wed Nov 14, 2012 3:25 pm

Thank you so much for the work you've done. When I install compiz again I look forward to using your fork

Good stuff. much appreciated.
-Dave

“The only way to fix Linux is to take one distro, one set of components as a baseline, abandon everything else and everyone should just contribute to this single Linux..."
xclusive585
Level 2
Level 2
 
Posts: 81
Joined: Sat Aug 11, 2012 11:49 pm

Re: Forks: Compiz-MATE 0.8.8, mate-globalmenu 0.7.10 (LMDE)

Postby sobrus on Mon Nov 19, 2012 7:34 am

Hello :)

Are you going to make matepiz an official part of MATE dekstop?
I hope so, because Marco really lacks some eye candy and features.
Compiz seems to be dying outside Unity, and MATE without it is just half of fun...

That said, I've never had any problems with Compiz + MATE on LMDE (apart from compiz-marco conflict, but it has been fixed).
What are/will be main advantages of matepiz?

Will it be included in debian/lmde repositories?
sobrus
Level 2
Level 2
 
Posts: 87
Joined: Thu Aug 30, 2012 1:36 am

Re: Forks: Compiz-MATE 0.8.8, mate-globalmenu 0.7.10 (LMDE)

Postby gnaishes on Mon Nov 26, 2012 9:24 am

Thanks OP for this fork. Before this, I had tried to convert the original src for gnome-globalmenu to mate-globalmenu with the "migrate" script. I can compile the program and then "enable" the field under mateconf-editor for the value "globalmenu-plugin" and "globalmenu-mate-panel". Restarted X and when i tried to add the applet from the panel list, it gave me the error "The panel encountered a problem while loading "OAFIID:GlobalMenu_MatePanelApplet"".

I then stumbled upon this page but the .deb packages are intended for amd64, hence i tried to compile the whole thing from src, yet it yield the same result. Any idea on this?

BTW, I'm running Linutmint 14 Nadia.

Thanks a lot !
gnaishes
Level 1
Level 1
 
Posts: 14
Joined: Fri Mar 07, 2008 11:03 pm

Re: Forks: Compiz-MATE 0.8.8, mate-globalmenu 0.7.10 (LMDE)

Postby jasmineaura on Tue Nov 27, 2012 3:01 am

gnaishes, try

1. removing the globalmenu panel applet from the panel, then
2. disabling the key:
Code: Select all
mateconftool-2 --set /apps/mate_settings_daemon/gtk-modules/globalmenu-mate-panel --type bool false

3. log out and log back in
4. re-enable the key
Code: Select all
mateconftool-2 --set /apps/mate_settings_daemon/gtk-modules/globalmenu-mate-panel --type bool true

5. logout and log back in

Finally, add globalmenu panel applet to your panel, if it's not already there.

hope that helps
User avatar
jasmineaura
Level 2
Level 2
 
Posts: 60
Joined: Thu Mar 08, 2012 3:38 am
Location: Cairo, Egypt

Re: Forks: Compiz-MATE 0.8.8, mate-globalmenu 0.7.10 (LMDE)

Postby fati on Tue Nov 27, 2012 4:59 pm

Does this have a chance of working in linux mint 14 cinnamon? as I cant find any other solution.
fati
Level 1
Level 1
 
Posts: 2
Joined: Mon Nov 26, 2012 9:22 pm

Re: Forks: Compiz-MATE 0.8.8, mate-globalmenu 0.7.10 (LMDE)

Postby zerozero on Tue Nov 27, 2012 7:11 pm

fati wrote:Does this have a chance of working in linux mint 14 cinnamon? as I cant find any other solution.

no. cinnamon is not compatible with compiz.
zerozero
Level 16
Level 16
 
Posts: 6469
Joined: Tue Jul 07, 2009 2:29 pm

Re: Forks: Compiz-MATE 0.8.8, mate-globalmenu 0.7.10 (LMDE)

Postby fati on Wed Nov 28, 2012 2:21 pm

zerozero wrote:
fati wrote:Does this have a chance of working in linux mint 14 cinnamon? as I cant find any other solution.

no. cinnamon is not compatible with compiz.


But how does the globalmenu in ubuntu work then, I thought unity had some kind of a gnome 3 the same with cinnamon, but then im a noob when it comes to linux.
So I got to install the linux mint 14 mate edition for this to work, am I right ? (In love with globalmenu, but hate unity)
fati
Level 1
Level 1
 
Posts: 2
Joined: Mon Nov 26, 2012 9:22 pm

Re: Forks: Compiz-MATE 0.8.8, mate-globalmenu 0.7.10 (LMDE)

Postby gnaishes on Wed Nov 28, 2012 10:54 pm

hi jasmineaura, thanks for the guide, but I'm still getting the same error after a few tries. Are there any way I can trace or view the log file of any error?

jasmineaura wrote:gnaishes, try

1. removing the globalmenu panel applet from the panel, then
2. disabling the key:
Code: Select all
mateconftool-2 --set /apps/mate_settings_daemon/gtk-modules/globalmenu-mate-panel --type bool false

3. log out and log back in
4. re-enable the key
Code: Select all
mateconftool-2 --set /apps/mate_settings_daemon/gtk-modules/globalmenu-mate-panel --type bool true

5. logout and log back in

Finally, add globalmenu panel applet to your panel, if it's not already there.

hope that helps

gnaishes
Level 1
Level 1
 
Posts: 14
Joined: Fri Mar 07, 2008 11:03 pm

Re: Forks: Compiz-MATE 0.8.8, mate-globalmenu 0.7.10 (LMDE)

Postby Myrmidon83 on Fri Nov 30, 2012 6:30 am

I have compiz installed on my laptop at home, Mint 13 Mate 64-bit and installed compiz plus emerald the long winded way. I'm wondering if I should switch to this fork as it's geared towards mate as my compiz install is glitchy in regards to desktop cube and a few other oddities. Are these 'fixed' or present in this fork? Also I think my compiz is a higher version than this, 0.9 something maybe.

So should I switch to the upcoming 'Matepiz' and would it just be a case of removing my current compiz install and then adding this version?

Or is this only for LMDE?

:)
Myrmidon83
Level 4
Level 4
 
Posts: 268
Joined: Wed Nov 10, 2010 2:08 pm

Re: Forks: Compiz-MATE 0.8.8, mate-globalmenu 0.7.10 (LMDE)

Postby xclusive585 on Sat Dec 01, 2012 6:32 pm

Myrmidon83 wrote:I have compiz installed on my laptop at home, Mint 13 Mate 64-bit and installed compiz plus emerald the long winded way. I'm wondering if I should switch to this fork as it's geared towards mate as my compiz install is glitchy in regards to desktop cube and a few other oddities. Are these 'fixed' or present in this fork? Also I think my compiz is a higher version than this, 0.9 something maybe.

So should I switch to the upcoming 'Matepiz' and would it just be a case of removing my current compiz install and then adding this version?

Or is this only for LMDE?

:)


The glitchy cube.... (It flickers after being rotated and settling....) This is a bug in the version of compiz currently in the Repos.. This is fixed upstream, but I don't know if the version used in this fork is the newer one without the glitch or not..
-Dave

“The only way to fix Linux is to take one distro, one set of components as a baseline, abandon everything else and everyone should just contribute to this single Linux..."
xclusive585
Level 2
Level 2
 
Posts: 81
Joined: Sat Aug 11, 2012 11:49 pm

Re: Forks: Compiz-MATE 0.8.8, mate-globalmenu 0.7.10 (LMDE)

Postby seroalbert on Sat Dec 01, 2012 11:47 pm

I'm very new to linux, and I have difficulty in getting compiz fusion plugin and emerald, others is find, but the system keep saying that it cannot locate pacakge. Can anybody help me out?
seroalbert
Level 1
Level 1
 
Posts: 1
Joined: Sat Dec 01, 2012 11:40 pm

Re: Forks: Compiz-MATE 0.8.8, mate-globalmenu 0.7.10 (LMDE)

Postby HardyH on Thu Dec 06, 2012 3:50 am

Hello,
is there a way to get Compiz 0.8.8 to work under Mint 14 Mate?
Compiz 0.9 in Mint 14 is unity optimized and quite dysfunctional and incomplete in many aspects ( e.G. panel thumbnails broken, window animations broken, seems this is not needed/wanted by unity)), but the compiz 0.8.8 packages have some dependencies that seem not to be included in the fork ( compiz-core is one of them).
Any tips to get Compiz 0.8.8 back in Mint 14 MATE are highly appreciated
Hardy
HardyH
Level 2
Level 2
 
Posts: 76
Joined: Wed Aug 03, 2011 7:02 pm

Linux Mint is funded by ads and donations.
 
PreviousNext

Return to Others

Who is online

Users browsing this forum: No registered users and 1 guest